@()(implicit lang: Lang)

<script type="text/ng-template" id="forwardDialog.html">
    <div class="modal-header">
        <button type="button" class="close" ng-click="cancel()">×</button>
        <h3 class="modal-title">
            @Messages("forward.title")
        </h3>
    </div>
    <div class="modal-body">
        <form class="form-horizontal" role="form">
        <div class="form-group">
            <div class="col-xs-4">
                <label for="uncFwdDestination">@Messages("forward.unc")</label>
            </div>
            <div class="col-xs-8">
                <div class="input-group">
                    <span class="input-group-addon">
                        <input id="uncFwdEnabled" ng-change="changeUncFwd(user)" ng-model="user.uncFwdEnabled" type="checkbox" ng-disabled="user.uncFwdDestination.length == 0" aria-label="...">
                    </span>
                    <input id="uncFwdDestination" ng-model="user.uncFwdDestination" ng-change="updateUncFwd()" size="2" type="text" class="form-control" aria-label="...">
                </div><!-- /input-group -->
            </div><!-- /.col-lg-6 -->
        </div>
        <div class="form-group">
            <div class="col-xs-4">
                <label for="naFwdDestination">@Messages("forward.na")</label>
            </div>
            <div class="col-xs-8">
                <div class="input-group">
                <span class="input-group-addon">
                    <input id="naFwdEnabled" ng-change="changeNaFwd(user)" ng-model="user.naFwdEnabled"type="checkbox"  ng-disabled="user.naFwdDestination.length == 0" aria-label="...">
                </span>
                    <input id="naFwdDestination" ng-model="user.naFwdDestination" ng-change="updateNaFwd()" type="text" class="form-control" aria-label="...">
                </div><!-- /input-group -->
            </div><!-- /.col-lg-6 -->
        </div>
            <div class="form-group">
                <div class="col-xs-4">
                    <label for="busyFwdDestination">@Messages("forward.busy")</label>
                </div>
                <div class="col-xs-8">
                    <div class="input-group">
                    <span class="input-group-addon">
                        <input id="busyFwdEnabled" ng-change="changeBusyFwd(user)" ng-model="user.busyFwdEnabled" ng-disabled="user.busyFwdDestination.length == 0" type="checkbox" aria-label="...">
                    </span>
                        <input id="busyFwdDestination" ng-model="user.busyFwdDestination" ng-change="updateBusyFwd()" type="text" class="form-control" aria-label="...">
                    </div><!-- /input-group -->
                </div><!-- /.col-lg-6 -->
            </div>
        </form>
    </div>
    <div class="modal-footer">
        <button class="btn btn-primary" ng-click="cancel()">@Messages("ccmanager.dismiss")</button>
        <button class="btn btn-warning" ng-click="processAndClose()">@Messages("ccmanager.save")</button>
    </div>
</script>
